
/***************************************************************************
 *            dia-textus-cuadrus.h
 * FUÉ TOMADO DE :
 * TAKEN FROM:
 * DiaTextbox
 * ----------
 * This is LGPL'ed code.
 * This is a library that combines a text and a box 
 * Esta biblioteca combina texto y un cuadrado tipo «box»
 * RF-Labs- (c) www.rflabs-online.com
 *  GNU 2 or above.
 *  Wed Sep 27 10:11:59 2006
 *  Copyright Rflabs 2006  
 *  Ing. Elec. (Development by)Exell Enrique Franklin Jiménez.
 ****************************************************************************/

#ifndef __DIA_TEXTUS_CUADRUS_H__
#define __DIA_TEXTUS_CUADRUS_H__

#include <diacanvas/dia-canvas-element.h>

#ifdef __cplusplus
extern "C"
{
#endif


G_BEGIN_DECLS
/*Son las deficniciones obligatorias del objeto encargado de hacer el cuadro*/
#define DIA_TYPE_TEXTUS_CUADRUS		(dia_textus_cuadrus_get_type ())
#define DIA_TEXTUS_CUADRUS(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), DIA_TYPE_TEXTUS_CUADRUS, DiaTextusCuadrus))
#define DIA_TEXTUS_CUADRUS_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), DIA_TYPE_TEXTUS_CUADRUS, DiaTextusCuadrusClass))
#define DIA_IS_TEXTUS_CUADRUS(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), DIA_TYPE_TEXTUS_CUADRUS))
#define DIA_IS_TEXTUS_CUADRUS_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), DIA_TYPE_TEXTUS_CUADRUS))
#define DIA_TEXTUS_CUADRUS_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), DIA_TYPE_TEXTUS_CUADRUS, DiaTextusCuadrusClass))


typedef struct _DiaTextusCuadrus DiaTextusCuadrus;
typedef struct _DiaTextusCuadrusClass DiaTextusCuadrusClass;


struct _DiaTextusCuadrus
{
	DiaCanvasElement item;        /* El obj en sí mismo*/
	DiaCanvasItem* centrum;  /*el componente central*/
	DiaCanvasItem* textus;
	DiaCanvasItem* textus_bassus;
	PangoFontDescription* typus; /*La fuente del elemento*/


	DiaColor color;
	DiaColor plenus_color;      /*color para el cuadro de texto*/
	double perimetros_amplus;
	char* nomenis;               /*Nombre oficial del cuadro*/
        char* tex_tus;			/*el cuadro de texto de ususrio*/
	int tamagnus_typus;
	DiaShape* perimetros;
	
};


struct _DiaTextusCuadrusClass
{
	DiaCanvasElementClass parent_class;
};

GType dia_textus_cuadrus_get_type(void);


G_END_DECLS


#ifdef __cplusplus
}
#endif

#endif /* _DIA-TEXTUS-CUADRUS_H */
